Skip site navigation (1) Skip section navigation (2)

Re: pgAdmin3 in BSD ports...

From: Miha Radej <miha(dot)radej(at)siix(dot)com>
To: blacknoz(at)club-internet(dot)fr, dpage(at)vale-housing(dot)co(dot)uk,jm(at)poure(dot)com, pgadmin-hackers(at)postgresql(dot)org
Subject: Re: pgAdmin3 in BSD ports...
Date: 2004-02-04 14:48:11
Message-ID: 6.0.0.14.0.20040204152026.02712340@mail.over.net (view raw or flat)
Thread:
Lists: pgadmin-hackers
Isn't it 2.4.2, according to this (I've just updated my ports collection 
prior to executing the following command, so this as current as it gets)?

[mcajvar(at)procyon:/usr/ports]$ make search name=pgadmin3
Port:   pgadmin3-1.0.1_1
Path:   /usr/ports/databases/pgadmin3
Info:   PostgreSQL database design and management system
Maint:  fjoe(at)FreeBSD(dot)org
Index:  databases
B-deps: XFree86-fontEncodings-4.3.0 XFree86-fontScalable-4.3.0 
XFree86-libraries-4.3.0_6 Xft-2.1.2 atk-1.4.1_1 expat-1.95.6_1 
fontconfig-2.2.90_3 freetype2-2.1.5_1 gettext-0.12.1 glib-1.2.10_10 
glib-2.2.3 gtk-1.2.10_10 gtk-2.2.4_1 imake-4.3.0_1 jpeg-6b_1 
libiconv-1.9.1_3 pango-1.2.5 perl-5.6.1_15 pkgconfig-0.15.0 png-1.2.5_2 
postgresql7-client-7.3.4_1 tiff-3.6.0 wxgtk-common-2.4.2 
wxgtk-contrib-common-2.4.2 wxgtk2-2.4.2_1 wxgtk2-contrib-2.4.2
R-deps: XFree86-fontEncodings-4.3.0 XFree86-fontScalable-4.3.0 
XFree86-libraries-4.3.0_6 Xft-2.1.2 atk-1.4.1_1 expat-1.95.6_1 
fontconfig-2.2.90_3 freetype2-2.1.5_1 gettext-0.12.1 glib-1.2.10_10 
glib-2.2.3 gtk-1.2.10_10 gtk-2.2.4_1 imake-4.3.0_1 jpeg-6b_1 
libiconv-1.9.1_3 pango-1.2.5 perl-5.6.1_15 pkgconfig-0.15.0 png-1.2.5_2 
postgresql7-client-7.3.4_1 tiff-3.6.0 wxgtk-common-2.4.2 
wxgtk-contrib-common-2.4.2 wxgtk2-2.4.2_1 wxgtk2-contrib-2.4.2

What it says in the Makefile probably means that if you have wx installed, 
it requires at least 2.4.0. If you don't it'll go for the 2.4.2 version. 
But I'm relatively fresh with FreeBSD so don't hold my word for it :)

At 13:27 3.2.2004, blacknoz(at)club-internet(dot)fr wrote:

>Seems they use 2.4.0... :(
>Have a look to their makefile:
>LIB_DEPENDS+=   wx_gtk2_stc-2.4.0:${PORTSDIR}/x11-toolkits/wxgtk2-contrib
>CONFIGURE_ARGS+=--with-wx-config=wxgtk2-2.4-config
>
>May be Hiroshi or Dave could contact the 'maintainer' to clarify the 
>situation ?
>
>MAINTAINER=     fjoe(at)FreeBSD(dot)org
>
>----Message d'origine----
> >Sujet: Re: [pgadmin-hackers] pgAdmin3 in BSD ports...
> >Date: Tue, 3 Feb 2004 12:11:12 -0000
> >De: "Dave Page" <dpage(at)vale-housing(dot)co(dot)uk>
> >A: <jm(at)poure(dot)com>, <pgadmin-hackers(at)postgresql(dot)org>
> >
> >> -----Original Message-----
> >> From: Jean-Michel POURE [mailto:jm(at)poure(dot)com]
> >> Sent: 03 February 2004 12:10
> >> To: Dave Page; pgadmin-hackers(at)postgresql(dot)org
> >> Subject: Re: [pgadmin-hackers] pgAdmin3 in BSD ports...
> >>
> >> Le Mardi 3 Février 2004 12:37, Dave Page a écrit :
> >> > Did anyone know pgAdmin 3 was in the BSD ports collection?
> >> > http://www.freebsd.org/cgi/cvsweb.cgi/ports/databases/pgadmin3/
> >>
> >> What wxGTK2 version are they using? Andreas patched version?
> >
> >No idea, just spotted it whilst browsing the ports. I don't have BSD box 
> to look at it on right now.

Regards,
Miha 



In response to

Responses

pgadmin-hackers by date

Next:From: Andreas PflugDate: 2004-02-04 15:31:08
Subject: Re: pgAdmin3 in BSD ports...
Previous:From: Dave PageDate: 2004-02-04 10:06:48
Subject: Re: pgAdmin installer name under Windows

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group